Retrieve Agent
curl --request GET \
--url https://api.bey.dev/v1/agents/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/agents/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{
"type": "webcam_vision"
},
{
"triggers": [
"hey agent",
"hi pal"
],
"type": "wakeup_mode"
}
],
"llm": {
"type": "openai"
},
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": [
"<string>"
]
}Agents
Retrieve Agent
Retrieve a single agent by ID.
GET
/
v1
/
agents
/
{id}
Retrieve Agent
curl --request GET \
--url https://api.bey.dev/v1/agents/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bey.dev/v1/agents/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bey.dev/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"name": "Jarvis",
"avatar_id": "01234567-89ab-cdef-0123-456789abcdef",
"system_prompt": "You are a helpful assistant.",
"language": "en",
"greeting": "Hello!",
"max_session_length_minutes": 30,
"capabilities": [
{
"type": "webcam_vision"
},
{
"triggers": [
"hey agent",
"hi pal"
],
"type": "wakeup_mode"
}
],
"llm": {
"type": "openai"
},
"tts": {
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
},
"knowledge_file_ids": [
"<string>"
]
}Authorizations
Your Beyond Presence API Key.
Path Parameters
Agent ID.
Response
Requested Agent
Response model for an agent.
Unique identifier of the object in the database.
Example:
"01234567-89ab-cdef-0123-456789abcdef"
Display name to use. Also used when addressed in conversations.
Required string length:
1 - 100Examples:
"Jarvis"
"HAL 9000"
ID of avatar to use.
Required string length:
1 - 100Example:
"01234567-89ab-cdef-0123-456789abcdef"
System prompt to use.
Required string length:
1 - 10000Example:
"You are a helpful assistant."
Language to use.
Available options:
ar, ar-SA, bn, bg, zh, cs, da, nl, en, en-AU, en-GB, en-US, fi, fr, fr-CA, fr-FR, de, el, hi, hu, id, it, ja, kk, ko, ms, no, pl, pt, pt-BR, pt-PT, ro, ru, sk, es, sv, tr, uk, ur, vi Example:
"en"
What to say when a call starts.
Required string length:
1 - 1000Example:
"Hello!"
Maximum session length in minutes.
Required range:
0 < x <= 90Example:
30
Extra capabilities to manage calls.
Agent capability to see user camera feed.
- WebcamVisionAgentCapability
- WakeupModeAgentCapability
Show child attributes
Show child attributes
Example:
[
{ "type": "webcam_vision" },
{
"triggers": ["hey agent", "hi pal"],
"type": "wakeup_mode"
}
]
Configuration for LLM to use.
- LivekitAgentLlm
- OpenaiAgentLlm
- OpenaiCompatibleAgentLlm
Show child attributes
Show child attributes
Example:
{ "type": "openai" }
Configuration for TTS to use.
- LivekitAgentTts
- ElevenlabsAgentTts
- DeepgramAgentTts
- OpenaiAgentTts
- GoogleAgentTts
Show child attributes
Show child attributes
Example:
{
"type": "elevenlabs",
"voice": "21m00Tcm4TlvDq8ikWAM"
}
IDs of knowledge files to refer to.
Minimum string length:
1Was this page helpful?